import React from "react";
import { Treemap, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const config = {
    legend: { position: "bottom" },
};
const grossProfitMeasure = Model.measure(C.measures.grossProfit);
const locationStateAttributeDF = Model.attribute(C.attributeDisplayForms.locationState);
const locationNameAttributeDF = Model.attribute(C.attributeDisplayForms.locationName);

const ByStateTreemap = ({ filters }) => {
    return (
        <div className={styles.ChartBlock}>
            <div className={styles.Chart}>
                <Treemap
                    filters={filters}
                    projectId={C.projectId}
                    measures={[grossProfitMeasure]}
                    viewBy={locationStateAttributeDF}
                    segmentBy={locationNameAttributeDF}
                    config={config}
                />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/treemap_component.html">
                Treemap component
            </ReferencesLink>
        </div>
    );
};

export default ByStateTreemap;
