import React from "react";
import { DonutChart, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const config = {
    legend: {
        position: "bottom",
    },
};
const totalSalesMeasure = Model.measure(C.measures.totalSales);
const menuCategoryAttributeDF = Model.attribute(C.attributeDisplayForms.menuCategory);

const MenuCategoryDonut = ({ filters }) => {
    return (
        <div className={styles.ChartBlock}>
            <div className={styles.Chart}>
                <DonutChart
                    filters={filters}
                    projectId={C.projectId}
                    measures={[totalSalesMeasure]}
                    viewBy={menuCategoryAttributeDF}
                    config={config}
                />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/donut_chart_component.html">
                DonutChart component
            </ReferencesLink>
        </div>
    );
};

export default MenuCategoryDonut;
