import React from "react";
import { Headline, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const primaryMeasure = Model.measure(C.measures.grossProfitPercent);

const PercentKpi = ({ filters }) => {
    return (
        <div className={styles.KpiBlock}>
            <h3 className={styles.Heading}>Profit Rate</h3>
            <div className={styles.Headline}>
                <Headline filters={filters} projectId={C.projectId} primaryMeasure={primaryMeasure} />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/headline_component.html">
                Headline component
            </ReferencesLink>
        </div>
    );
};

export default PercentKpi;
