import React from "react";
import cx from "classnames";
import range from "lodash/range";

import styles from "./YearSelect.module.scss";

const yearCount = 5;

const YearSelect = ({ onChange, className = null, selectClassName = null, value, ...restProps }) => {
    const currentYear = new Date().getFullYear();
    const years = range(currentYear - yearCount + 1, currentYear + 1);
    return (
        <div className={cx(styles.YearSelect, className)} {...restProps}>
            <select
                className={cx(styles.Select, selectClassName)}
                value={value}
                onChange={event => onChange(event.target.value)}
            >
                {years.map(year => (
                    <option key={year} value={year}>
                        {year}
                    </option>
                ))}
            </select>
        </div>
    );
};

export default YearSelect;
