import React, { useState } from "react";
import copy from "copy-to-clipboard";

import Button from "../controls/Button";
import IconCopy from "../icons/IconCopy";
import IconChevronUp from "../icons/IconChevronUp";
import IconChevronDown from "../icons/IconChevronDown";
import CodeBlock from "./CodeBlock";

const ToggledCodeWithCopy = ({ code, comment }) => {
    const [isCodeShown, setIsCodeShown] = useState(false);

    return (
        <>
            <Button onClick={() => setIsCodeShown(isShown => !isShown)}>
                {isCodeShown ? (
                    <>
                        <IconChevronUp />
                        &emsp;Hide code
                    </>
                ) : (
                    <>
                        <IconChevronDown />
                        &emsp;Show code
                    </>
                )}
            </Button>
            &emsp;
            <Button onClick={() => copy(code)}>
                <IconCopy />
                &emsp;Copy code
            </Button>
            {isCodeShown && (
                <>
                    {comment && <p>{comment}</p>}
                    <CodeBlock>{code}</CodeBlock>
                </>
            )}
        </>
    );
};

export default ToggledCodeWithCopy;
