import React from "react";
import { Container, Row, Col } from "react-grid-system";

import EditableVisualizationWidget from "../components/visualizations/EditableVisualizationWidget/EditableVisualizationWidget";
import Page from "../components/Page";

import sharedStyles from "../shared.module.scss";

const EditableVisualization = () => {
    return (
        <Page mainClassName={sharedStyles.MainStretch}>
            <div className={sharedStyles.Header}>
                <Container fluid>
                    <Row>
                        <Col className={sharedStyles.Column}>
                            <div>
                                <h2 className={sharedStyles.Title}>
                                    Visualization editable with embedded Analytical Designer
                                </h2>
                                <div>
                                    Click Edit to launch Analytical Designer. Visualization will be updated on
                                    Save.
                                </div>
                            </div>
                        </Col>
                    </Row>
                </Container>
            </div>
            <EditableVisualizationWidget
                className={sharedStyles.StretchContent}
                identifier="aaXC6TWlfQTa" /* TODO remove before release */
            />
        </Page>
    );
};

export default EditableVisualization;
