import React from "react";
import { Container, Row, Col } from "react-grid-system";
import { Model } from "@gooddata/react-components";

import C from "../constants";
import VisualizationBuilderWidget from "../components/visualizations/VisualizationBuilderWidget/VisualizationBuilderWidget";
import Page from "../components/Page";
import { lineChartVisType } from "../components/visualizations/VisualizationBuilderWidget/visTypes";

import sharedStyles from "../shared.module.scss";

const selectedVisType = lineChartVisType;

const VisualizationBuilder = () => {
    return (
        <Page>
            <div className={sharedStyles.Header}>
                <Container fluid xs sm md lg>
                    <Row>
                        <Col className={sharedStyles.Column}>
                            <h2 className={sharedStyles.Title}>Visualization Builder Widget</h2>
                        </Col>
                    </Row>
                </Container>
            </div>
            <Container fluid xs sm md lg>
                <Row>
                    <Col>
                        <VisualizationBuilderWidget
                            headline="Visualization"
                            initialVisType={{
                                ...selectedVisType,
                                buckets: [
                                    {
                                        ...selectedVisType.buckets[0],
                                        items: [Model.measure(C.measures.totalSales)],
                                    },
                                    {
                                        ...selectedVisType.buckets[1],
                                        items: [Model.attribute(C.attributeDisplayForms.monthShort)],
                                    },
                                    {
                                        ...selectedVisType.buckets[2],
                                        items: [Model.attribute(C.attributeDisplayForms.locationState)],
                                    },
                                ],
                            }}
                        />
                    </Col>
                </Row>
            </Container>
        </Page>
    );
};

export default VisualizationBuilder;
